{"swagger":"2.0","info":{"version":"1.0.0","title":"aayojak-service","contact":{"email":"tej22k@gmail.com","name":"Tejash Khodiyar, Abhishek Kumar"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"},"description":"This is aayojak-service."},"tags":[{"name":"admins","description":"Secured Admin-only calls"},{"name":"developers","description":"Operations available to regular developers"},{"name":"user","description":"user related end-points"},{"name":"organiser","description":"host/organiser related end-points"},{"name":"guest","description":"guest related end-points"},{"name":"help","description":"help/service related end-points"},{"name":"event","description":"event related end-points"},{"name":"invitation","description":"invitation related end-points"},{"name":"gifts","description":"gifts related end-points"}],"paths":{"/inventory":{"get":{"tags":["developers"],"summary":"searches inventory","operationId":"searchInventory","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"query","name":"searchString","description":"pass an optional search string for looking up inventory","required":false,"type":"string"},{"in":"query","name":"skip","description":"number of records to skip for pagination","type":"integer","format":"int32","minimum":0},{"in":"query","name":"limit","description":"maximum number of records to return","type":"integer","format":"int32","minimum":0,"maximum":50}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/InventoryItem"}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["admins"],"summary":"adds an inventory item","operationId":"addInventory","description":"Adds an item to the system","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"inventoryItem","description":"Inventory item to add","schema":{"$ref":"#/definitions/InventoryItem"}}],"responses":{"201":{"description":"item created"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing item already exists"}}}},"/users":{"get":{"tags":["user"],"summary":"get all users","operationId":"getUsers","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/User"}}},"400":{"description":"bad input parameter"}}}},"/users/{userId}":{"get":{"tags":["user"],"summary":"Get user detauls by user id.","operationId":"getUserById","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"userId","required":true,"type":"string","description":"The user ID"}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/InventoryItem"}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["user"],"summary":"creates a user","operationId":"createUser","description":"creates a user","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"path","name":"userId","required":true,"type":"string","description":"The user ID"},{"in":"body","name":"userObject","description":"a user to add","schema":{"$ref":"#/definitions/User"}}],"responses":{"201":{"description":"user created"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}},"patch":{"tags":["user"],"summary":"updates a user","operationId":"updateUser","description":"updates a user","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"path","name":"userId","required":true,"type":"string","description":"The user ID"},{"in":"body","name":"userObject","description":"a user to update","schema":{"$ref":"#/definitions/User"}}],"responses":{"201":{"description":"user updated"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}}},"/users/{userId}/profiles":{"get":{"tags":["user"],"summary":"Get a user profiles by user id.","operationId":"getUserProfiles","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"userId","required":true,"type":"string","description":"The user ID"}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/Profile"}}},"400":{"description":"bad input parameter"}}}},"/users/{userId}/profiles/{profileId}":{"get":{"tags":["user"],"summary":"Get user profile by user id and profile id.","operationId":"getUserProfilesByProfileId","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"userId","required":true,"type":"string","description":"The user ID"},{"in":"path","name":"profileId","required":true,"type":"string","description":"The profile ID"}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/Profile"}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["user"],"summary":"Create user profile by user id and profile id.","operationId":"createUserProfile","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"userId","required":true,"type":"string","description":"The user ID"},{"in":"path","name":"profileId","required":true,"type":"string","description":"The profile ID"},{"in":"body","name":"ProfilrObject","description":"a profile to add","schema":{"$ref":"#/definitions/Profile"}}],"responses":{"201":{"description":"profile created"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing item already exists"}}},"patch":{"tags":["user"],"summary":"Update user profile by user id and profile id.","operationId":"updateUserProfile","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"userId","required":true,"type":"string","description":"The user ID"},{"in":"path","name":"profileId","required":true,"type":"string","description":"The profile ID"},{"in":"body","name":"profileObject","description":"a profile to update","schema":{"$ref":"#/definitions/Profile"}}],"responses":{"201":{"description":"profile updated"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing item already exists"}}}},"/events":{"get":{"tags":["event"],"summary":"get all events","operationId":"getEvents","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/Event"}}},"400":{"description":"bad input parameter"}}}},"/events/{eventId}":{"get":{"tags":["event"],"summary":"Get event detauls by event id.","operationId":"getEventById","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The user ID"}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/Event"}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["event"],"summary":"creates a event","operationId":"createEvent","description":"creates an event","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The event ID"},{"in":"body","name":"eventObject","description":"an event to add","schema":{"$ref":"#/definitions/Event"}}],"responses":{"201":{"description":"event created"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}},"patch":{"tags":["event"],"summary":"updates an event","operationId":"updateEvent","description":"updates an event","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The event ID"},{"in":"body","name":"eventObject","description":"an event to update","schema":{"$ref":"#/definitions/Event"}}],"responses":{"201":{"description":"event updated"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}}},"/events/{eventId}/guests":{"get":{"tags":["guest"],"summary":"Get guest list details by event id.","operationId":"getGuestListByEventId","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The user ID"}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/EventGuest"}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["guest"],"summary":"upload a guestList","operationId":"addMultipleGuestToAnEvent","description":"add multiple guests to an event","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"in":"formData","name":"upfile","type":"file","required":true,"description":"The file to upload guest list."},{"in":"path","name":"eventId","required":true,"type":"string","description":"The event ID"}],"responses":{"201":{"description":"guests added to an event"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}}},"/events/{eventId}/guests/{guestId}":{"get":{"tags":["guest"],"summary":"Get guest details by id.","operationId":"getGuestById","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The user ID"},{"in":"path","name":"guestId","required":true,"type":"string","description":"The guest ID"}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/EventGuest"}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["guest"],"summary":"add a guest to an event","operationId":"addGuestById","description":"add a guest.","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The event ID"},{"in":"path","name":"guestId","required":true,"type":"string","description":"The guest ID"},{"in":"body","name":"eventGuestObject","description":"a guest to add","schema":{"$ref":"#/definitions/EventGuest"}}],"responses":{"201":{"description":"guest added"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}},"patch":{"tags":["guest"],"summary":"update a guest event","operationId":"updateGuestById","description":"update a guest.","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The event ID"},{"in":"path","name":"guestId","required":true,"type":"string","description":"The guest ID"},{"in":"body","name":"eventGuestObject","description":"a guest to update","schema":{"$ref":"#/definitions/EventGuest"}}],"responses":{"201":{"description":"guest updated"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}}},"/events/{eventId}/guests/{guestId}/knowyourguest":{"get":{"tags":["guest"],"summary":"Get 'know your guest' survey by guest id.","operationId":"getKYGByGuestId","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The user ID"},{"in":"path","name":"guestId","required":true,"type":"string","description":"The guest ID"}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/KYGSurvey"}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["guest"],"summary":"add 'Know Your Guest' Survey for a guest","operationId":"addKYGSurveyByGuestId","description":"add a KYGSurvey for a guest.","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The event ID"},{"in":"path","name":"guestId","required":true,"type":"string","description":"The guest ID"},{"in":"body","name":"KYGSurveyObject","description":"a KYG Survey to add","schema":{"$ref":"#/definitions/KYGSurvey"}}],"responses":{"201":{"description":"a KYG Survey added"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}}},"/events/{eventId}/invitation":{"get":{"tags":["invitation"],"summary":"Get invitation by event id.","operationId":"getInvitationByEventId","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The Event ID"}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/EventInvitation"}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["invitation"],"summary":"create invitation","operationId":"addInvitationToAnEvent","description":"add invitation to an event","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"in":"body","name":"invitationObject","description":"an invitation to add","schema":{"$ref":"#/definitions/EventInvitation"}},{"in":"path","name":"eventId","required":true,"type":"string","description":"The event ID"}],"responses":{"201":{"description":"an invitation created for an event"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}}},"/events/{eventId}/knowyourhost":{"get":{"tags":["event"],"summary":"Get 'know your host' survey by event id.","operationId":"getKYHByEventId","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The Event ID"}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/KYHSurvey"}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["event"],"summary":"create KYH Survey","operationId":"addKYHToAnEvent","description":"add KYH Survey to an event","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"in":"body","name":"invitationObject","description":"an KYH Survey to add","schema":{"$ref":"#/definitions/KYHSurvey"}},{"in":"path","name":"eventId","required":true,"type":"string","description":"The event ID"}],"responses":{"201":{"description":"an KYH Survey added to an event"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}}}},"/events/{eventId}/gifts":{"get":{"tags":["gifts"],"summary":"Get gift list details by event id.","operationId":"getGiftListByEventId","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","produces":["application/json"],"parameters":[{"in":"path","name":"eventId","required":true,"type":"string","description":"The event ID"}],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/Gift"}}},"400":{"description":"bad input parameter"}}},"post":{"tags":["gifts"],"summary":"add a gift wish List","operationId":"addGiftWishListToAnEvent","description":"add gift wish list to an event","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"in":"formData","name":"upfile","type":"file","required":true,"description":"The file to upload gift list."},{"in":"path","name":"eventId","required":true,"type":"string","description":"The event ID"}],"responses":{"201":{"description":"gift wish list added to an event"},"400":{"description":"invalid input, object invalid"},"409":{"description":"an existing user already exists"}}}},"definitions":{"InventoryItem":{"type":"object","required":["id","name","manufacturer","releaseDate"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"name":{"type":"string","example":"Widget Adapter"},"releaseDate":{"type":"string","format":"date-time","example":"2016-08-29T09:12:33.001Z"},"manufacturer":{"$ref":"#/definitions/Manufacturer"}}},"Manufacturer":{"required":["name"],"properties":{"name":{"type":"string","example":"ACME Corporation"},"homePage":{"type":"string","format":"url","example":"https://www.acme-corp.com"},"phone":{"type":"string","example":"408-867-5309"}}},"User":{"type":"object","description":"A User object.","required":["id","email"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"firstName":{"type":"string","example":"Tejash"},"lastName":{"type":"string","example":"Khodiyar"},"email":{"type":"string","format":"email","example":"tejash.khodiyar@xyz.com"},"mobileNumber":{"type":"string","example":9876543210},"alternateMobileNumber":{"type":"string","example":9876543210}}},"Event":{"type":"object","description":"A Event object.","required":["id"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"name":{"type":"string","example":"Tejash"},"type":{"type":"string","example":"Khodiyar"},"eventForName1":{"type":"string","example":"Tejash"},"eventForId1":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"eventForName2":{"type":"string","example":"Tejash"},"eventForId2":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"eventForName3":{"type":"string","example":"Tejash"},"eventForId3":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"organizer":{"type":"string","example":"Tejash"},"Invitation":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"venue":{"type":"string","example":"Event Plaza, Bangalore"},"eventStartTime":{"type":"string","format":"date-time","example":"2016-08-29T09:12:33.001Z"},"eventEndTime":{"type":"string","format":"date-time","example":"2016-08-29T09:12:33.001Z"}}},"EventGuest":{"type":"object","description":"A Event-Guest object.","required":["id"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"eventId":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"userId":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"EventInvitation":{"type":"object","description":"A Event-Invitation object.","required":["id"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"eventId":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"userId":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"Gift":{"type":"object","description":"A Gift object.","required":["id"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"KYHSurvey":{"type":"object","description":"A KYH Survery object.","required":["id"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"KYGSurvey":{"type":"object","description":"A KYG Survery object.","required":["id"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"Profile":{"type":"object","description":"A User Profile object.","required":["id"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}}},"host":"virtserver.swaggerhub.com","basePath":"/Tej22k/aayojak/1.0.0","schemes":["https"]}